> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# addSupplementalPayPeriod

> 
The `addSupplementalPayPeriod` API creates a supplemental pay period for processing additional payroll outside of the regular pay schedules.

### What it does:

- Creates a special pay period for supplemental payroll processing (bonuses, commissions, off-cycle payments)
- Sets up pay period dates and worker type for the supplemental payroll

### Notes:

- Requires pay period dates (**payBeginDate**, **payEndDate**, **payDate**)
- Returns a **payPeriodId** for use with supplemental payroll line items



## OpenAPI

````yaml post /payroll/addSupplementalPayPeriod
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /payroll/addSupplementalPayPeriod:
    post:
      tags: []
      summary: addSupplementalPayPeriod
      description: >-

        The `addSupplementalPayPeriod` API creates a supplemental pay period for
        processing additional payroll outside of the regular pay schedules.


        ### What it does:


        - Creates a special pay period for supplemental payroll processing
        (bonuses, commissions, off-cycle payments)

        - Sets up pay period dates and worker type for the supplemental payroll


        ### Notes:


        - Requires pay period dates (**payBeginDate**, **payEndDate**,
        **payDate**)

        - Returns a **payPeriodId** for use with supplemental payroll line items
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                  title: addSupplementalPayPeriod
                  example: addSupplementalPayPeriod
                payPeriod:
                  type: object
                  properties:
                    companyId:
                      type: string
                      format: uuid
                    payPeriodType:
                      type: string
                      title: Enum
                      enum:
                        - Missing
                        - Severance
                        - Off-Cycle
                    workerType:
                      type: string
                      title: Enum
                      enum:
                        - W2
                        - 1099 -NEC
                      maxLength: 8
                    payBeginDate:
                      type: string
                      maxLength: 10
                    payEndDate:
                      type: string
                      maxLength: 10
                    payDate:
                      type: string
                      maxLength: 10
                  required:
                    - payPeriodType
                    - workerType
                    - payBeginDate
                    - payEndDate
                    - payDate
                    - companyId
                  x--orders:
                    - companyId
                    - payScheduleId
                    - payPeriodType
                    - workerType
                    - payBeginDate
                    - payEndDate
                    - payDate
                    - total
                    - readyForProcessing
              required:
                - method
                - payPeriod
              x--orders:
                - method
                - payPeriod
            example:
              method: addSupplementalPayPeriod
              payPeriod:
                companyId: 3c62037a-2bac-4910-839d-5c803f0d4f0a
                payPeriodType: Missing
                workerType: W2
                payBeginDate: '2023-11-12'
                payEndDate: '2023-12-10'
                payDate: '2023-12-10'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  payPeriod:
                    type: object
                    properties:
                      payPeriodId:
                        type: string
                      status:
                        type: string
                      message:
                        type: string
                    required:
                      - payPeriodId
                      - status
                    x--orders:
                      - payPeriodId
                      - status
                      - message
                required:
                  - payPeriod
                x--orders:
                  - payPeriod
              examples:
                '1':
                  summary: Success
                  value:
                    payPeriod:
                      payPeriodId: 91384C53-089C-42E9-8CB0-59978AF46DEA
                      status: New
                      message: >-
                        Supplemental PayPeriod for Prism Ltd has been saved
                        successfully.
                '2':
                  summary: Exception
                  value:
                    error:
                      code: 400
                      message: PayBeginDate should be greater than future date
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: array
                    items:
                      type: object
                      properties:
                        code:
                          type: integer
                        message:
                          type: string
                      required:
                        - code
                required:
                  - error
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````